<script lang="ts">
    import type {Todo} from '../../../models';
    import {TodoProxyService} from '../../../services';

    let todo = {} as Todo;
    let inProgress = false;
    let error = null;
    const todosProxy = new TodoProxyService();

    function submitForm() {
        // Send the new todo with the postNewTodo() method
        todosProxy.postNewTodo(todo).then((result) => {
            location.href = '/todos';
        });
    }
</script>

<svelte:head>
    <title>Add a new todo</title>
</svelte:head>

<div class="add-todo-page">
    <h2>Add a new todo</h2>
    <div class="add-todo-container">
        <form on:submit|preventDefault="{submitForm}">
                <div class="todo-add-input">
                    <input bind:value="{todo.title}" type="text" placeholder="title" required>
                    <textarea bind:value="{todo.message}" placeholder="Message" required></textarea>
                    <button>Add new Todo</button>
                </div>
        </form>
    </div>
</div>
<style>

    .add-todo-page {
        margin-top: 100px;
        text-align: center;
        margin-left: 20%;
        margin-right: 20%;
    }

    .add-todo-page h2 {
        font-size: 1.9rem;
    }

    .add-todo-page .add-todo-container {
        display: flex;
        justify-content: center;
        border-radius: 10px;
        padding: 4px 20px;
    }

    .add-todo-page .add-todo-container .todo-add-input input, textarea {
        max-width: 500px;
        width: 100%;
        border-radius: 8px;
        border: 1px solid #b0b0b0;
        height: 23px;
        padding-left: 9px;
        color: #111;
        font-size: .85rem;
        background-color: #f3f3f3;
        margin-top: 10px;
    }

    .add-todo-page .add-todo-container .todo-add-input textarea {
        height: 80px;
    }

    .add-todo-page .add-todo-container .todo-add-input button {
        border: none;
        cursor: pointer;
        float: right;
        border-radius: 8px;
        padding: 4px 10px;
        color: #fff;
        background-color: #55be32;
        font-size: .95rem;
    }

    @media (max-width: 768px) {
        .add-todo-container {
            margin-left: 20px;
            margin-right: 20px;
        }
    }
</style>
